#!/bin/bash
WORK_DIR="/sf/storage/gmo/hic/out/by_User/KhabarovaAnya/HCT/NOVOGEN__18_06_25"
cd $WORK_DIR || { echo "Невозможно перейти в директорию $WORK_DIR"; exit 1; }

# Объявление образцов без R1 и R2, только общие части
samples=("HCT_7_1" "HCT_7_2" "HCT_7_3" "HCT_13_k" "HCT_13_1" "HCT_13_2" "HCT_13_3" "HCT_15_1" "HCT_15_2" "HCT_15_3")

# Создание директории для выравнивания, если её ещё нет
mkdir -p ${WORK_DIR}/align_paired

for sample in "${samples[@]}"; do
    echo "Обрабатываем образец: ${sample}"
    echo "=========="

    # Выполняем выравнивание
    bwa mem /sf/home/minja/hg38/bwa/hg38/hg38.fa ${WORK_DIR}/${sample}_1.f*q.gz ${WORK_DIR}/${sample}_2.f*q.gz > ${WORK_DIR}/align_paired/${sample}.sam

    # Преобразуем SAM в BAM
    samtools view -b -h ${WORK_DIR}/align_paired/${sample}.sam > ${WORK_DIR}/align_paired/${sample}.bam 

    # Сортируем BAM
    samtools sort -o ${WORK_DIR}/align_paired/${sample}.sorted.bam ${WORK_DIR}/align_paired/${sample}.bam 

    # Индексируем отсортированный BAM файл
    samtools index ${WORK_DIR}/align_paired/${sample}.sorted.bam 
done